## fonts-confont 0.9.0~chris1

=== debian/changelog ===
fonts-confont (0.9.0~chris1) groovy; urgency=medium

  *  fix name issues in font metadata (crashed forge earlier)

 -- Chris <dpkg@chris-nz.com>  Sun, 02 May 2021 09:49:03 +1200

fonts-confont (0.9.0) groovy; urgency=medium

  * Initial release. (Closes: #1018008)

 -- Chris <dpkg@chris-nz.com>  Sun, 02 May 2021 03:23:03 +1200
