=== debian/changelog ===
fonts-confont (0.9.1~chris1) groovy; urgency=medium

  *  fix name issues in font metadata (crashed forge earlier)

 -- Chris <dpkg@chris-nz.com>  Sun, 02 May 2021 09:49:03 +1200
