=== debian/control ===
Source: fonts-confont
Section: fonts
Priority: optional
Maintainer: Chris <dpkg@chris-nz.com>
Build-Depends: debhelper-compat (= 13), fontforge-nox | fontforge
Standards-Version: 4.5.0
#Vcs-Git:
#Vcs-Browser:
Homepage: https://archive.chris-nz.com/confont
Rules-Requires-Root: no

Package: fonts-confont
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: ProFont-derived font for consoles
 Provides a sans-serif monospace font (ConFont)
 based on the timeless MIT-licensed ProFont.
 See https://tobiasjung.name/profont/ for
 alternatives and ProFont information.
